#include <iostream>

using namespace std;

int main()
{
    int N,M;
    cin>>N>>M;
    long long d[N],u[N];
    int l[M],r[M],x[M];
    for(int i=1;i<=N;i++)
        cin>>d[i]>>u[i];
    for(int i=1;i<=M;i++)
        cin>>l[i]>>r[i]>>x[i];

    for(int i=1;i<=M;i++)
    {
        int br=0;
        for(int j=l[i];j<=r[i];j++)
            if(d[j]<=x[i] && u[j]>= x[i])
                br++;
        cout<<br<<endl;
    }

    return 0;
}